---
title: "Features"
date: 2018-10-13T21:59:47+02:00
draft: false
type: "features"
menu:
  page:
    title: "Features"
    weight: 20
---

<section class="hero is-medium is-bold feature-hero">
  <div class="hero-body">
    <div class="container has-text-centered">
      <h1 class="title">
        Think of Vikunja like the notebook you have with all your things to keep track of.
      </h1>
      <h2 class="subtitle">
        But better.
      </h2>
    </div>
  </div>
</section>

<div class="container">
    <div class="content">
        <div class="columns">
            <div class="column theimage">
                <img src="lists.png" alt="Lists"/>
            </div>
            <div class="column is-half">
                <h2>Lists</h2>
            
                <p>First things first: Vikunja can create lists. And yes, you can add tasks to a list. But it can do so much more 
                <i>(or at least, it will be able to do a lot more at <a href="#roadmap">some point</a>)</i>.</p>
                
                <h2>Namespaces</h2>
                
                <p>A... what? A namespace is something like a group of lists. Every list is part of a particular namespace which you can then share
                or simply use as a method to keep track of multiple lists more easily.</p>
                
                <h2>Tasks</h2>
                <p>Tasks are not only simple tasks. You can let Vikunja remind you of tasks when they're due. 
                Never miss an important deadline again!</p>
                
                <p>Remember that thing you have to do every week but can't get the hang on? 
                You can set tasks to <i>repeat in a time interval</i>, letting Vikunja remind you of important weekly or monthly tasks.</p>
                
                <p>Vikunja also lets you split a task in multiple subtasks for easy progress tracking and more satisfaction when crossing them off the list!</p>
            </div>
        </div>

<div class="columns">
            <div class="column is-half">
                <h2>Sharing</h2>
            
                <p>
                Ever wished you could just share that grocery list with your roomate instead of having to send dozens of texts on your way to the supermarket?
                   With Vikunja, you can. Simply share a list or a namespace with all its lists to another user.
                   Don't want your roommate to add new things to the grocery list and only do the shopping? 
                   You can also share a list with <i>read-only</i> access!</p>
                   
                <p>
                 Planning a bigger thing? You can use teams to share a list or namespace with multiple people at a time!
                </p>
            </div>
            <div class="column theimage">
                <img src="sharing-user.png" alt="Sharing with a user" style="margin-top:3em"/>
            </div>
</div>

### CalDAV

Ever discovered that web app with all its great features, but somewhat... not good to use? Not to say [our app](https://vikunja.io/download) is not easy to
use - but you don't have to use it! Vikunja comes with a calDAV-integration which lets you use the tools you already use and love.

</div>
</div>

<section class="hero is-medium is-warning is-bold" style="margin:4em 0">
  <div class="hero-body">
    <div class="container has-text-centered">
      <h1 class="title">
        Can't wait to see it in action?
      </h1>
      <a href="http://try.vikunja.io" class="button is-success is-large">Try it</a>
    </div>
  </div>
</section>

<div class="container">
    <div class="content">
        <div class="columns">
            <div class="column is-half">

<h2>Self-Hosted</h2>

<p>Use Vikunja on your own server or hosted*. Your data will always be yours, we won't sell your grocery list to Amazon. Don't trust us? 
<a href="http://code.vikunja.io">Check for yourself</a>.</p>

<p>Also, did I mention "the cloud"? Vikunja syncs across all your devices, no matter if you created a task on the mobile app or on your laptop, enabling
you to continue where you left off.
<br/>
<small style="color:#636363">* We don't have any stable hosted instances of Vikunja available, yet.</small>

</p>

</div>
            <div class="column is-half">
<h2>Open-Source</h2>

<p>Vikunja is completly open source and released under the <a href="http://code.vikunja.io/api/src/branch/master/LICENSE">GPLv3</a>.</p>

<p>You can contribute in multiple ways, even if you're not a developer! It already helps a lot when you use Vikunja and report 
<a href="http://code.vikunja.io/api/issues">features you'd like or bugs you find</a>.</p>

<p>And if you are a developer and know your way around <a href="http://code.vikunja.io/api">Go</a> or 
<a href="http://code.vikunja.io/frontend">Vue.js</a>, any help is appreceated.</p>

</div>
</div>

## Roadmap

But of course, there's more to come! Take a look at this list of things we've planned to add:

* Prioritize tasks
* Get all your tasks for an interval (day/month/period)
* Labels for todo lists and tasks
* Assign users to tasks
* Attachments on tasks
* More sharing features: Share via a world-readable link with or without password, like Nextcloud
* More views for tasks
  * Calendar view
  * Gantt-Chart
* "Smart Lists" - Create lists based on filters
* IMAP-Integration - Send an email to Vikunja to create a new task
* Webhooks - Trigger other events when an action is done (like completing a task)
* Performace statistics - Get an overview and beautiful charts about what you got done this month
* Activity feeds - Get a quick overview about who did what
* Bulk-edit multiple tasks at once
* Team-efforts - Requiring a task to be marked as done by multiple members until it's done
* [Even more!](https://git.kolaente.de/vikunja/api/src/branch/master/Featurecreep.md)

</div>
</div>